package DeleteAssetWithDeleteCFAsset::CMS;

use strict;

sub delete_asset_and_add_id {
    my ($cb, $app, $tmpl) = @_;

    my $old = <<HERE;
        <a href="<mt:var name="script_url">?__mode=list_asset&amp;_type=asset&amp;blog_id=<mt:var name="blog_id">&amp;dialog_view=1&amp;<mt:if name="asset_type" ne="asset">filter=class&amp;filter_val=<mt:var name="asset_type">&amp;require_type=<mt:var name="asset_type">&amp;</mt:if>edit_field=<mt:var name="field_id">&amp;asset_select=1'" class="mt-open-dialog"><__trans phrase="Choose [_1]" params="<mt:var name="asset_type_label">"></a>
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
        <a id="<mt:var name="field_id">_remove_link" href="<mt:var name="script_url">?__mode=list_asset&amp;_type=asset&amp;blog_id=<mt:var name="blog_id">&amp;dialog_view=1&amp;<mt:if name="asset_type" ne="asset">filter=class&amp;filter_val=<mt:var name="asset_type">&amp;require_type=<mt:var name="asset_type">&amp;</mt:if>edit_field=<mt:var name="field_id">&amp;asset_select=1" class="mt-open-dialog" onclick="removeAssetFromList(<mt:var name="asset_id">)"><__trans phrase="Choose [_1]" params="<mt:var name="asset_type_label">"></a>
HERE

    $$tmpl =~ s/$old/$new/;

    my $old = <<HERE;
            onclick="insertCustomFieldAsset('', '<mt:var name="field_id" escape="JS">'); return false;"
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
            onclick="insertCustomFieldAsset('', '<mt:var name="field_id" escape="JS">'); removeAssetFromList(<mt:var name="asset_id">); return false;"
HERE

    $$tmpl =~ s/$old/$new/;
}

sub add_script {
    my ($cb, $app, $tmpl) = @_;

    my $old = <<HERE;
<mt:if name="upload_html">
  <mt:var name="insert_script">
</mt:if>
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
<mt:if name="upload_html">
  <mt:var name="insert_script">
</mt:if>
var plugin_Asset = window.parent.document.getElementById("<mt:var name="edit_field" escape="js">_remove_asset");
if (plugin_Asset) {
    var plugin_asset_attr = plugin_Asset.getAttribute('onclick');
    var plugin_asset_attr2 = plugin_asset_attr.replace(/removeAssetFromList\\(\\d*\\)/,"removeAssetFromList(<mt:AssetID>)");
    plugin_Asset.setAttribute('onclick' , plugin_asset_attr2);
} 
var plugin_Link = window.parent.document.getElementById("<mt:var name="edit_field" escape="js">_remove_link");
if (plugin_Link) {
    var plugin_link_attr = plugin_Link.getAttribute('onclick');
    var plugin_link_attr2 = plugin_link_attr.replace(/removeAssetFromList\\(\\d*\\)/,"removeAssetFromList(<mt:AssetID>)");
    plugin_Link.setAttribute('onclick' , plugin_link_attr2);
} 

HERE

    $$tmpl =~ s/$old/$new/;
}

1;
